import { IModeService } from '@workbench-stack/core';
import { IClientFileService } from '@files-stack/core';
import { URI } from '@vscode/monaco-editor/esm/vs/base/common/uri';
import { RawContextKey, IContextKeyService } from '@vscode/monaco-editor/esm/vs/platform/contextkey/common/contextkey';
export declare class ResourceContextKey {
    private _modeService;
    private _fileService;
    static Scheme: RawContextKey<string>;
    static Filename: RawContextKey<string>;
    static LangId: RawContextKey<string>;
    static Resource: RawContextKey<URI>;
    static Extension: RawContextKey<string>;
    static HasResource: RawContextKey<boolean>;
    static IsFileSystemResource: RawContextKey<boolean>;
    private readonly _resourceKey;
    private readonly _schemeKey;
    private readonly _filenameKey;
    private readonly _langIdKey;
    private readonly _extensionKey;
    private readonly _hasResource;
    private readonly _isFileSystemResource;
    constructor(contextKeyService: IContextKeyService, _modeService: IModeService, _fileService: IClientFileService);
    set(resource: URI | null): void;
    reset(): void;
    get(): URI | undefined;
    private static _uriEquals;
}
